#version 120

uniform sampler2D texture;

varying vec2 texcoord;
varying vec4 color;

uniform sampler2D colortex0;

#include "/settings/GlobalSettings.glsl"

#include "/programs/invert.glsl"

void main(){
    vec4 glfinalcolor;
    #ifdef RENDER
    glfinalcolor = process_invert(colortex0, texcoord);
    #else
    glfinalcolor = texture2D(texture, texcoord.st) * color;
    #endif
    gl_FragData[0] = glfinalcolor;
}